Skip to main content
ExLibris
  • Subscribe by RSS
  • Ex Libris Knowledge Center

    UE 20-21: Check Environment: "install_driver(Oracle) failed: Can't load ..."

    • Article Type: General
    • Product: Aleph
    • Product Version: 21

    Description:
    The Upgrade Express step 1 - Check environment - gives the following error:

    install_driver(Oracle) failed: Can't load '/exlibris/product/perl-5.8.9/lib/site_perl/5.8.9/sun4-solaris/auto/DBD/Oracle/Oracle.so' for module DBD::Oracle: ld.so.1: perl: fatal: /exlibris/app/oracle/product/11r2/lib/libclntsh.so.10.1: wrong ELF class: ELFCLASS64 at /exlibris/product/perl-5.8.9/lib/5.8.9/sun4-solaris/DynaLoader.pm line 226.
    at (eval 3) line 3
    Compilation failed in require at (eval 3) line 3.
    Perhaps a required shared library or dll isn't installed where expected
    at ./source/proc/listner.pl line 13



    Cannot connect to the data base:
    Checking mgu01...
    Checking mgu10...
    Checking mgu11...
    Checking mgu12...
    Checking mgu13...
    Checking mgu20...
    Checking mgu30...
    Checking mgu50...
    Checking mgu60...
    Checking pwd50...
    There's no such library mgu01
    There's no such library mgu10
    There's no such library mgu11
    There's no such library mgu12
    There's no such library mgu13
    There's no such library mgu20
    There's no such library mgu30
    There's no such library mgu50
    There's no such library mgu60
    There's no such library pwd50
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jacob Eshed > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <David Sades > ]
    [ <David Sades > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]
    [ <Jerry Specht > ]

    Resolution:
    There was a soft link missing in the UE package. This has now been fixed.


    • Article last edited: 10/8/2013
    //Feedback